/// <reference types="node" />
import { DataNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from '../types/NodeTrustedMailcore2NativeBinding';
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 * Data Class
 *
 * @public
 */
declare class Data extends bindings.Data {
    handle: DataNativeBinding;
    constructor(bufData?: Buffer);
    /**
     * Length of data
     *
     * @memberof Data
     */
    length(): number;
    /**
     * Bytes of data
     *
     * @memberof Data
     */
    bytes(): Buffer;
    /**
     * Convert data to BASE64 string
     *
     * @memberof Data
     */
    base64String(): string;
    /**
     * Write data to file
     *
     * @memberof Data
     */
    writeToFile(filename: string): number;
}
export { Data };
//# sourceMappingURL=Data.d.ts.map