import { IMAPFolderInfoNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from '../types/NodeTrustedMailcore2NativeBinding';
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 * IMAPFolderInfo Class
 *
 * @public
 */
declare class IMAPFolderInfo extends bindings.IMAPFolderInfo {
    protected handle: IMAPFolderInfoNativeBinding;
    constructor();
    /**
     * Get uidNext
     *
     * @type {number}
     * @memberof IMAPFolderInfo
     */
    get uidNext(): number;
    /**
     * Set uidNext
     *
     * @memberof IMAPFolderInfo
     */
    set uidNext(uid: number);
    /**
     * Get uidValidity
     *
     * @type {number}
     * @memberof IMAPFolderInfo
     */
    get uidValidity(): number;
    /**
     * Set uidValidity
     *
     * @memberof IMAPFolderInfo
     */
    set uidValidity(uid: number);
    /**
     * Get modSequenceValue
     *
     * @type {number}
     * @memberof IMAPFolderInfo
     */
    get modSequenceValue(): number;
    /**
     * Set modSequenceValue
     *
     * @memberof IMAPFolderInfo
     */
    set modSequenceValue(mod: number);
    /**
     * Get messageCount
     *
     * @type {number}
     * @memberof IMAPFolderInfo
     */
    get messageCount(): number;
    /**
     * Set messageCount
     *
     * @memberof IMAPFolderInfo
     */
    set messageCount(count: number);
    /**
     * Get firstUnseenUid
     *
     * @type {number}
     * @memberof IMAPFolderInfo
     */
    get firstUnseenUid(): number;
    /**
     * Set firstUnseenUid
     *
     * @memberof IMAPFolderInfo
     */
    set firstUnseenUid(uid: number);
    /**
     * Get allowsNewPermanentFlags
     *
     * @type {number}
     * @memberof IMAPFolderInfo
     */
    get allowsNewPermanentFlags(): boolean;
    /**
     * Set allowsNewPermanentFlags
     *
     * @memberof IMAPFolderInfo
     */
    set allowsNewPermanentFlags(allow: boolean);
}
export { IMAPFolderInfo };
//# sourceMappingURL=IMAPFolderInfo.d.ts.map